.p-hero {
  width: 100%;
  height: 100vh;
}
.p-hero__inner {
  width: 100%;
  height: 100%;
}

.p-opening {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  background: var(--color-black);
}
.opening-skip .p-opening {
  opacity: 0;
  pointer-events: none;
}
.opening-delete .p-opening {
  opacity: 0;
  transition: opacity 0.8s var(--ease-out-quart);
  pointer-events: none;
}
.p-opening__load {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 50%;
  max-width: 30rem;
  opacity: 0;
}
.is-ready .p-opening__load {
  opacity: 1;
}
.opening-end .p-opening__load {
  transform: translate(-50%, -50%) scale(0.8);
  opacity: 0;
  transition: transform 0.8s var(--ease-out-quart), opacity 0.3s var(--ease-out-quart);
}
.p-opening__load-meter {
  width: 100%;
  height: 2px;
  background: var(--color-gray);
}
.p-opening__load-meter .js-loading-meter {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--color-white);
  transform: scaleX(0);
  transform-origin: left center;
}
.p-opening__load-text {
  margin-top: 1.5rem;
  text-align: center;
  font-size: 1.8rem;
  font-weight: 900;
}
@media screen and (max-width: 750px) {
  .p-opening__load-text {
    margin-top: 1rem;
    font-size: 1.4rem;
  }
}
.p-opening__load-text span {
  vertical-align: baseline;
}
.p-opening__logo {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(1.2);
  width: 70%;
  max-width: 50rem;
}
.opening-end .p-opening__logo {
  transform: translate(-50%, -50%);
  transition: transform 1s var(--ease-inout-expo);
}
.p-opening__logo img {
  transform: scale(1.15);
  opacity: 0;
}
.opening-end .p-opening__logo img {
  transform: scale(1);
  opacity: 1;
  transition: transform 5s var(--ease-out-sine), opacity 0.8s var(--ease-out-quart);
}